diff -u gsfonts-8.11+urwcyr1.0.7~pre44/debian/changelog gsfonts-8.11+urwcyr1.0.7~pre44/debian/changelog
--- gsfonts-8.11+urwcyr1.0.7~pre44/debian/changelog
+++ gsfonts-8.11+urwcyr1.0.7~pre44/debian/changelog
@@ -1,3 +1,10 @@
+gsfonts (1:8.11+urwcyr1.0.7~pre44-4.2fab1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Add Truetype transformations of the ghostscript fonts (Closes: #496059).
+
+ -- Fabian Greffrath <fabian+debian@greffrath.com>  Thu, 10 Feb 2011 10:18:19 +0100
+
 gsfonts (1:8.11+urwcyr1.0.7~pre44-4.2) unstable; urgency=high
 
   * Non-maintainer upload.
diff -u gsfonts-8.11+urwcyr1.0.7~pre44/debian/dirs gsfonts-8.11+urwcyr1.0.7~pre44/debian/dirs
--- gsfonts-8.11+urwcyr1.0.7~pre44/debian/dirs
+++ gsfonts-8.11+urwcyr1.0.7~pre44/debian/dirs
@@ -2,0 +3 @@
+usr/share/fonts/truetype/gsfonts
diff -u gsfonts-8.11+urwcyr1.0.7~pre44/debian/control gsfonts-8.11+urwcyr1.0.7~pre44/debian/control
--- gsfonts-8.11+urwcyr1.0.7~pre44/debian/control
+++ gsfonts-8.11+urwcyr1.0.7~pre44/debian/control
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Masayuki Hatta (mhatta) <mhatta@debian.org>
 Build-Depends: debhelper (>= 4.0.0), sharutils
+Build-Depends-Indep: fontforge-nox | fontforge
 Standards-Version: 3.8.0
 Uploaders: Torsten Landschoff <torsten@debian.org>
 Homepage: http://www.ghostscript.com/
diff -u gsfonts-8.11+urwcyr1.0.7~pre44/debian/rules gsfonts-8.11+urwcyr1.0.7~pre44/debian/rules
--- gsfonts-8.11+urwcyr1.0.7~pre44/debian/rules
+++ gsfonts-8.11+urwcyr1.0.7~pre44/debian/rules
@@ -37,12 +37,14 @@
 	#$(MAKE)
 	#/usr/bin/docbook-to-man debian/gsfonts.sgml > gsfonts.1
 
+	fontforge -script debian/convert.pe --format ".ttf" *.pfb
+
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f debian/*.pfb
+	rm -f debian/*.pfb *.ttf
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
@@ -61,6 +63,7 @@
 	install -m 644 $(CURDIR)/*.afm $(CURDIR)/debian/gsfonts/usr/share/fonts/type1/gsfonts
 	install -m 644 $(CURDIR)/*.pfb $(CURDIR)/debian/gsfonts/usr/share/fonts/type1/gsfonts
 	install -m 644 $(CURDIR)/*.pfm $(CURDIR)/debian/gsfonts/usr/share/fonts/type1/gsfonts
+	install -m 644 $(CURDIR)/*.ttf $(CURDIR)/debian/gsfonts/usr/share/fonts/truetype/gsfonts
 #	cd debian && uudecode *.uue
 #	install -m 644 debian/*.afm $(CURDIR)/debian/gsfonts/usr/share/fonts/type1/gsfonts
 #	install -m 644 debian/*.pfb $(CURDIR)/debian/gsfonts/usr/share/fonts/type1/gsfonts
only in patch2:
unchanged:
--- gsfonts-8.11+urwcyr1.0.7~pre44.orig/debian/convert.pe
+++ gsfonts-8.11+urwcyr1.0.7~pre44/debian/convert.pe
@@ -0,0 +1,58 @@
+#!/usr/bin/fontforge
+#
+# This script is taken from:
+# <http://fontforge.sourceforge.net/scripting-tutorial.html>
+#
+# Copyright (C) 2000-2006 George Williams
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+# Redistributions of source code must retain the above copyright notice, this
+# list of conditions and the following disclaimer.
+#
+# Redistributions in binary form must reproduce the above copyright notice, this
+# list of conditions and the following disclaimer in the documentation and/or
+# other materials provided with the distribution.
+#
+# The name of the author may not be used to endorse or promote products derived
+# from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
+# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
+# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+
+i=1
+format=".ttf"
+while ( i<$argc )
+  if ( $argv[i]=="-format" || $argv[i]=="--format" )
+    i=i+1
+    if ( i<$argc )
+      format = $argv[i]
+      if ( format!=".ttf" && format!=".otf" && \
+	  format!=".pfb" && format!=".svg" )
+	Error( "Expected one of '.ttf', '.otf', '.pfb' or '.svg' for format" )
+      endif
+    endif
+  else
+    Open($argv[i])
+    if ( $order==2 && (format==".otf" || format==".pfb" ))
+      SetFontOrder(3)
+      SelectAll()
+      Simplify(128+32+8,1.5)
+      ScaleToEm(1000)
+    elseif ( $order==3 && format==".ttf" )
+      ScaleToEm(2048)
+      RoundToInt()
+    endif
+    Generate($argv[i]:r + format)
+  endif
+  i = i+1
+endloop
